from django.conf import settings
from django.urls import include, path
from django.conf.urls.static import static
from django.contrib import admin
from django.views.generic import TemplateView
from django.views import defaults as default_views
from django.contrib.auth import views as auth_views
from ddusers import views as ddusers_views

# wagtail URL imports
from django.urls import re_path

from wagtail.admin import urls as wagtailadmin_urls
from wagtail.documents import urls as wagtaildocs_urls
from wagtail.core import urls as wagtail_urls

urlpatterns = [
    #path("", TemplateView.as_view(template_name="pages/home.html"), name="home"),
    #path(
    #    "about/",
    #    TemplateView.as_view(template_name="pages/about.html"),
    #    name="about",
    #),
    # Django Admin, use {% url 'admin:index' %}
    path(settings.ADMIN_URL, admin.site.urls),
    # User management
    #path(
    #    "users/",
    #    include("dd_django.users.urls", namespace="users"),
    #),
    ####path("accounts/", include("allauth.urls")),
    
    path('accounts/', include('registration.backends.default.urls')),
    # Your stuff: custom urls includes go here
    #path('', ddusers_views.start_page, name='ddusers.start_page'),
    path('activity/', include('actstream.urls')),
    path("dataset/", include('dddatasets.urls')),
    path("users/", include('ddusers.urls')),
    path('login/', auth_views.LoginView.as_view(template_name='auth/login.html', ), name='login'),
    path('logout/', ddusers_views.logout_view, name='logout'),
    path('shib/', include('shibboleth.urls', namespace='shibboleth')),
    path('dhrep/', include('dhrep.urls', namespace='dhrep')),
    path('', ddusers_views.start_page, name='ddusers.start_page'),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

# wagtail URL def
urlpatterns += [
    path('cms/', include(wagtailadmin_urls)),
    path('documents/', include(wagtaildocs_urls)),
    path('documentation/', include(wagtail_urls)),    
]

if settings.DEBUG:
    # This allows the error pages to be debugged during development, just visit
    # these url in browser to see how these error pages look like.
    urlpatterns += [
        path(
            "400/",
            default_views.bad_request,
            kwargs={"exception": Exception("Bad Request!")},
        ),
        path(
            "403/",
            default_views.permission_denied,
            kwargs={"exception": Exception("Permission Denied")},
        ),
        path(
            "404/",
            default_views.page_not_found,
            kwargs={"exception": Exception("Page not Found")},
        ),
        path("500/", default_views.server_error),
    ]
    if "debug_toolbar" in settings.INSTALLED_APPS:
        import debug_toolbar

        urlpatterns = [path("__debug__/", include(debug_toolbar.urls))] + urlpatterns
