from django.utils.text import slugify

from dddatasets.models import Category
from dddatasets.models import DataType
from ddusers.models import Country

"""
populate the database of a new discuss data installation
"""

def create_categories():
    categories = {
        'Protest':'protest',
        'Corruption':'corruption',
        'Surveys':'surveys',        
    }
    for name, slug in categories.items():
        Category.objects.create(name=name, slug=slug)


def create_datatypes():
    datatypes = ('statistics', 'survey', 'interviews', 'archival documents', )

    for name in datatypes:
        DataType.objects.create(name=name)


def create_countries():
    countries = {
        'Armenia':'armenia',
        'Azerbaijan':'azerbaijan',
        'Belarus':'belarus',
        'Georgia':'georgia',
        'Kazakhstan':'kazakhstan',
        'Kyrguyzstan':'kyrguyzstan',
        'Moldova':'moldova',
        'Russia':'russia',
        'Tajikistan':'tajikistan',
        'Turkmenistan':'turkmenistan',
        'Ukraine':'ukraine',
        'Uzbekistan':'uzbekistan',
    }
    for name, slug in countries.items():
        Country.objects.create(name=name, slug=slug)
    

def run():
    print("polulating discuss data instance")
    create_categories()
    create_datatypes()
    create_countries()
