import uuid
from django.db import models

from django.contrib.contenttypes.fields import GenericForeignKey
from django.contrib.contenttypes.models import ContentType
import reversion




@reversion.register()
class Comment(models.Model):
    
    uuid = models.UUIDField(default=uuid.uuid4, editable=False)    
    text = models.TextField()
    date_added = models.DateTimeField(auto_now_add=True)
    date_edited = models.DateTimeField(auto_now=True)
    user = models.ForeignKey('ddusers.User', on_delete=models.CASCADE)

    # mandatory fields for generic relation
    content_type = models.ForeignKey(ContentType, on_delete=models.CASCADE)
    object_id = models.IntegerField()
    content_object = GenericForeignKey()

    def __str__(self):
        return "%s %s" % (self.user, self.date_added)