from django import forms
from django.db import models
from django.contrib import admin
from django.contrib.auth.admin import UserAdmin

from ckeditor.widgets import CKEditorWidget

from django.contrib.auth.models import Group

from .models import User
from .models import Institution
from .models import Project
from .models import Country
from .models import City

#from ddusers.models import Publication

from .models import ReceptiveTo
from .models import Affiliation





from guardian.admin import GuardedModelAdmin




class AffiliationInline(admin.TabularInline):
    model = Affiliation
    extra = 1

#class DataSetDescriptionInline(admin.StackedInline):
#    model = DataSetDescription
#    extra = 1



class DataUserAdmin(UserAdmin, admin.ModelAdmin):
    #formfield_overrides = {
    #    models.TextField: {'widget': CKEditorWidget},
    #}
    model = User

    inlines = [
        AffiliationInline,
    ]

    fieldsets = UserAdmin.fieldsets + (
                     (None, {'fields': ( 'middle_name', 'external_profile', 'academic_title',  'photo', 'access', 'topics', 'receptive_tos', 'countries', 'interests', 'en_tags', 'name_prefix', 'name_suffix')}),
                         )
    filter_horizontal = ['topics','countries', 'receptive_tos', ]

    def _access_choices(self, obj):
        return obj.get_access_display()
    _access_choices.short_description = 'Access'

    list_display = UserAdmin.list_display + ('_access_choices',)


class ReceptiveToAdmin(admin.ModelAdmin):
    model = ReceptiveTo

class InstitutionAdmin(admin.ModelAdmin):
    formfield_overrides = {
        models.TextField: {'widget': CKEditorWidget},
    }
    model = Institution

    #fields = ['public', 'name', 'original_name', 'short_name', 'department', 'address', 'postcode', 'city', 'country', 'location', 'website', 'image', 'image_large', 'description', 'short_description',]
    filter_horizontal = ['affiliated_users',]


class ProjectAdmin(admin.ModelAdmin):
    formfield_overrides = {
        models.TextField: {'widget': CKEditorWidget},
    }
    model = Project

    fields = ['name', 'url', 'user', 'group']

    #def _access_choices(self, obj):
    #    return obj.get_access_display()
    #_access_choices.short_description = 'Access'

    list_display = ('name', 'url',)

    # override save_model in admin
    # add user to project.group if he is not a member
    #def save_model(self, request, obj, form, change):
    #    try:
    #        obj.group
    #    except:
    #        obj.group = Group.objects.create(name=obj.title)
    #    if not request.user.groups.filter(id=obj.group.id).exists():
    #        request.user.groups.add(obj.group)
    #    obj.save()
#class DataSetDescriptionAdmin(admin.ModelAdmin):
#    formfield_overrides = {
#        models.TextField: {'widget': CKEditorWidget},
#    }
#    model = DataSetDescription
#
#    fieldsets = (
#                     (None,
#                        {'fields': ( 'description', 'dataset', 'creator', 'publication_date', 'date_of_data_creation',  'data_of_data_creation_text',)}
#                     ),
#                )
#    #filter_horizontal = ['topics','countries', 'receptive_tos', 'publications', ]

class CountryAdmin(admin.ModelAdmin):
    model = Country

    list_display = ('name', 'slug', 'geo_lat', 'geo_lng', 'public')


admin.site.register(User, DataUserAdmin)
admin.site.register(Institution, InstitutionAdmin)
admin.site.register(Project, ProjectAdmin)

admin.site.register(ReceptiveTo, ReceptiveToAdmin)
admin.site.register(Country, CountryAdmin)
admin.site.register(City)
#admin.site.register(Publication)
admin.site.register(Affiliation)
