# Generated by Django 2.2.3 on 2019-08-30 15:47

from django.conf import settings
import django.contrib.auth.models
import django.contrib.auth.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('ddpublications', '0001_initial'),
        ('core', '0001_initial'),
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('middle_name', models.CharField(blank=True, max_length=200)),
                ('academic_title', models.CharField(blank='None', choices=[('PHD', 'PhD'), ('DR', 'Dr.'), ('PROF', 'Prof. Dr.'), ('MA', 'MA'), ('BA', 'BA'), ('MAG', 'Magister'), ('M.A.', 'M.A.')], max_length=5)),
                ('name_prefix', models.CharField(blank=True, help_text='for example "Dr"', max_length=200, verbose_name='prefix')),
                ('name_suffix', models.CharField(blank=True, help_text='for example "PhD"', max_length=200, verbose_name='suffix')),
                ('photo', models.ImageField(blank=True, null=True, upload_to='')),
                ('research_profile_full', models.TextField(blank=True, verbose_name='Research Profile (full)')),
                ('research_profile_short', models.TextField(blank=True, help_text='brief version, max. 280 characters', max_length=280, verbose_name='Research Profile (brief)')),
                ('access', models.CharField(choices=[('PUB', 'public'), ('NET', 'network'), ('GRP', 'group'), ('HID', 'hidden')], default='PUB', max_length=3)),
                ('external_profile', models.URLField(blank=True)),
                ('affiliation_tags', taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='core.AffiliationTags', to='core.AffiliationTagged', verbose_name='affiliations')),
            ],
            options={
                'ordering': ['last_name'],
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('slug', models.SlugField()),
                ('geo_lat', models.CharField(max_length=200)),
                ('geo_lng', models.CharField(max_length=200)),
                ('public', models.BooleanField(default=True)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='FOI',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('description', models.TextField(blank=True)),
                ('is_country', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='ReceptiveTo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
            ],
            options={
                'proxy': True,
                'indexes': [],
                'constraints': [],
            },
            bases=('auth.group',),
            managers=[
                ('objects', django.contrib.auth.models.GroupManager()),
            ],
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('name', models.CharField(max_length=200)),
                ('url', models.URLField(blank=True)),
                ('group', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='project_group', to='ddusers.Group')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_user', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Institution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('name', models.CharField(max_length=600)),
                ('original_name', models.CharField(blank=True, max_length=600)),
                ('short_name', models.CharField(blank=True, max_length=60)),
                ('department', models.CharField(blank=True, max_length=600)),
                ('address', models.CharField(max_length=600)),
                ('postcode', models.CharField(blank=True, max_length=40, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='')),
                ('image_large', models.ImageField(blank=True, null=True, upload_to='')),
                ('website', models.URLField(blank=True)),
                ('description', models.TextField(blank=True)),
                ('short_description', models.CharField(blank=True, max_length=400)),
                ('location', models.CharField(blank=True, max_length=20)),
                ('city', models.CharField(max_length=120)),
                ('public', models.BooleanField(default=True)),
                ('admin', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='institution_admin_user', to=settings.AUTH_USER_MODEL)),
                ('affiliated_users', models.ManyToManyField(blank=True, to=settings.AUTH_USER_MODEL)),
                ('country', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='institution_country', to='ddusers.Country')),
            ],
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=400)),
                ('slug', models.SlugField()),
                ('geo_lat', models.CharField(blank=True, max_length=200)),
                ('geo_lng', models.CharField(blank=True, max_length=200)),
                ('public', models.BooleanField(default=True)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='city_country', to='ddusers.Country')),
            ],
        ),
        migrations.CreateModel(
            name='Affiliation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False)),
                ('name_of_institution', models.CharField(max_length=200)),
                ('place_of_institution', models.CharField(max_length=200)),
                ('country_of_institution', models.CharField(max_length=200)),
                ('position', models.CharField(max_length=200)),
                ('website_of_institution', models.URLField(blank=True)),
                ('main', models.BooleanField(default=True)),
                ('institution', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='affiliation_institution', to='ddusers.Institution')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='affiliation_user', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='user',
            name='countries',
            field=models.ManyToManyField(blank=True, related_name='user_country', to='ddusers.Country'),
        ),
        migrations.AddField(
            model_name='user',
            name='en_tags',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='core.EnglishTags', to='core.EnTagged', verbose_name='Tags'),
        ),
        migrations.AddField(
            model_name='user',
            name='groups',
            field=models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups'),
        ),
        migrations.AddField(
            model_name='user',
            name='interests',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='core.KeywordTags', to='core.KeywordTagged', verbose_name='Tags'),
        ),
        migrations.AddField(
            model_name='user',
            name='publications',
            field=models.ManyToManyField(blank=True, related_name='user_publication', to='ddpublications.Publication'),
        ),
        migrations.AddField(
            model_name='user',
            name='receptive_tos',
            field=models.ManyToManyField(blank=True, to='ddusers.ReceptiveTo'),
        ),
        migrations.AddField(
            model_name='user',
            name='topics',
            field=models.ManyToManyField(blank=True, to='core.Topic'),
        ),
        migrations.AddField(
            model_name='user',
            name='user_permissions',
            field=models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions'),
        ),
    ]
