from django.conf.urls import url
from rest_framework.urlpatterns import format_suffix_patterns
from ddusers import views
#from ddusers.models import DataFile

from django.conf.urls import handler403
from django.urls import path

#urlpatterns = [
#    url(r'^password/$', views.change_password, name='change_password'),
#    ]
urlpatterns = [        
    path('user/ic/countries/<int:pk>/', views.get_user_countries_ic, name='get_user_countries_ic'), 
    # old: url(r'^user/ic/countries/(?P<pk>[0-9]+)/$', views.get_user_countries_ic, name='get_user_countries_ic'),
    path('user/<uuid:uuid>/', views.user_detail, name='user_detail'), 
    # old: url(r'^user/(?P<pk>[0-9]+)/$', views.user_detail, name='user_detail'),
    path('user/ic/countries/', views.get_user_countries_ic, name='get_user_countries_ic'),
    #url(r'^user/ic/countries/$', views.get_user_countries_ic, name='get_user_countries_ic'),

    path('project/edit/add/', views.project_edit, name='project_add'),
    path('project/edit/<uuid:uuid>/', views.project_edit, name='project_edit'),
    # ic: remove project from user profile
    path('project/remove/<uuid:uuid>/', views.project_remove, name='project_remove'),

]      



urlpatterns += [        
        url(r'^password/$', views.change_password, name='change_password'),
        # ic: add a country to a user profile
        url(r'^country/ic/remove/(?P<pk>[0-9]+)/$', views.get_user_countries_ic, name='country_ic_remove'),
        # ic: return all tags as json
        
        
        ### tags
        # ic: return all tags as json
        #url(r'^affiliations/ic/$', views.get_affiliations, name='get_affiliations'),
        # ic: add a tag to a user profile
        #url(r'^affiliations/ic/add/$', views.affiliation_add, name='affiliation_add'),
        #url(r'^affiliations/ic/remove/(?P<pk>[0-9]+)/$', views.affiliation_remove, name='affiliation_remove'),
        # ic: remove a tag from a user profile
        #url(r'^tags/ic/remove/(?P<pk>[0-9]+)/$', views.tag_remove, name='tag_remove'),
        ### tags
        # ic: return all tags as json
        #url(r'^tags/ic/$', views.get_tags, name='get_tags'),
        url(r'^tags/ic/all/add/$', views.tag_add, name='tag_add'),
        url(r'^tags/ic/(?P<object_type>[\w-]+)/$', views.get_object_tags, name='get_object_tags'),
        url(r'^keywords/ic/$', views.get_keyword_tags, name='get_keyword_tags'),
        url(r'^users/all/ic/$', views.get_users_all, name='get_users_all'),
        url(r'^languages/ic/$', views.get_language_tags, name='get_language_tags'),
        url(r'^institution/ic/$', views.get_institutions, name='get_institutions'),
        # ic: add a tag to a user profile
        # ic: remove a tag from a user profile
        url(r'^tags/ic/remove/(?P<pk>[0-9]+)/$', views.tag_remove, name='tag_remove'),
        ### user
        # list all users
        url(r'^list/$', views.user_list, name='user_list'),
        url(r'^(?P<page>[0-9]+)/$', views.user_list, name='user_list'),
        #url(r'^page/(?P<page>[0-9]+)/$', views.user_list_paginator_ic, name='user_list_paginator_ic'),
        #url(r'^user/(?P<country>[a-z]+)/$', views.user_list_country, name='user_list_country'),
        #url(r'^userlist/$', views.user_list_ajax, name='user_list_ajax'),
        #url(r'^userdetail/(?P<pk>[0-9]+)/$', views.user_detail_ajax, name='user_detail_ajax'),
        # public user info
        
        url(r'^user/search/$', views.user_search, name='user_search'),
        # private user profile editing
        url(r'^user/edit$', views.user_edit, name='user_edit'),
        # ic: user data form as modal
        url(r'^userdata/edit/$', views.get_user_profile, name='get_user_profile'),
        url(r'^userdata/edit/profile/$', views.userdata_edit, name='userdata_edit'),
        # ic: userdata snippet (name, position, affiliation, email)

        # ic: interests add/remove/lookup dialog
        url(r'^user/interests/$', views.get_user_interests, name='get_user_interests'),
        #url(r'^users/$', views.UserList.as_view()),
        #url(r'^users/(?P<pk>[0-9]+)/$', views.UserDetail.as_view()),
        ### publication
        # ic: remove publication
        url(r'^publication/remove/(?P<pk>[0-9]+)/$', views.publication_remove, name='publication_remove'),
        # ic: add publication
        url(r'^publication/edit/add/$', views.publication_edit, name='publication_add'),
        # ic: list publications of user
        url(r'^publication/edit$', views.get_user_publications, name='get_user_publications'),
        #
        # ic: edit publication using modal
        url(r'^publication/edit/(?P<pk>[0-9]+)/$', views.publication_edit, name='publication_edit'),
        # topic
        url(r'^topic_add/$', views.topic_add, name='topic_add'),
        url(r'^get_topics/$', views.get_topics, name='get_topics'),
        # user project
        # ic: get projects in user profile
        url(r'^project/edit/$', views.get_user_projects, name='get_user_projects'),
        url(r'^affiliation/edit/add/$', views.affiliation_edit, name='affiliation_add'),
        url(r'^affiliation/edit/$', views.get_user_affiliations, name='get_user_affiliations'),
        url(r'^affiliation/edit/(?P<pk>[0-9]+)/$', views.affiliation_edit, name='affiliation_edit'),
        url(r'^affiliation/remove/(?P<pk>[0-9]+)/$', views.affiliation_remove, name='affiliation_remove'),
        #url(r'^project/$', views.project_list, name='project_list'),
        # ic: edit project in user profile
        
        # ic: add project to user profile

        # url(r'^project/(?P<pk>[0-9]+)/$', views.project_detail, name='project_detail'),
        # url(r'^project/(?P<country>[a-z]+)/$', views.project_list_country, name='project_list_country'),
        
        # documentation
        url(r'^rules_and_best_practices/$', views.documentation_list, name='documentation_list'),
        url(r'^rules_and_best_practices/(?P<pk>[0-9]+)/$', views.documentation_detail, name='documentation_detail'),
        url(r'^rules_and_best_practices/(?P<slug>[\w-]+)/$', views.documentation_detail, name='documentation_detail'),

        # institution
        url(r'^institution/$', views.institution_list, name='institution_list'),
        url(r'^institution/(?P<pk>[0-9]+)/$', views.institution_detail, name='institution_detail'),
        # institution
        url(r'^category/$', views.category_list, name='category_list'),
        url(r'^category/(?P<pk>[0-9]+)/$', views.category_detail, name='category_detail'),
        # protest
        url(r'^protest/$', views.protest_list, name='protest_list'),
        url(r'^protest/(?P<pk>[0-9]+)/$', views.protest_detail, name='protest_detail'),
        
        #url(r'^user/datasets/$', views.user_datasets, name='user_datasets'),
        #url(r'^user/datasets/all/$', views.get_user_datasets, name='get_user_datasets'),
        
        # datafile
        #url(r'^datafile/(?P<pk>[0-9]+)/edit/ic/$', views.ic_datafile_edit, name='ic_datafile_edit'),

        #url(r'^datafile/(?P<pk>[0-9]+)/remove/ic/$', views.ic_datafile_remove, name='ic_datafile_remove'),

        # projects
        url(r'^projects/$', views.ProjectList.as_view()),
        url(r'^projects/(?P<pk>[0-9]+)/$', views.ProjectDetail.as_view()),
        url(r'^institutions/$', views.InstitutionList.as_view()),
        url(r'^institutions/(?P<pk>[0-9]+)/$', views.InstitutionDetail.as_view()),
        url(r'^data-sets/$', views.DataSetList.as_view()),
        url(r'^data-sets/(?P<pk>[0-9]+)/$', views.DataSetDetail.as_view()),
        url(r'^topics/$', views.TopicList.as_view()),
        url(r'^topics/(?P<pk>[0-9]+)/$', views.TopicDetail.as_view()),        
    ]

#urlpatterns = format_suffix_patterns(urlpatterns)

#handler404 = 'views.error_403_view'
